Bug 75654 - Authentication broken when 'datadir' for MySQL is not default
Authentication broken when 'datadir' for MySQL is not default
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: mod_auth_mysql (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-10 14:47 EDT by Tim Miller
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:01:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Miller 2002-10-10 14:47:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020918

Description of problem:
I am unable to relocate the MySQL database data files without
breaking mod_auth_mysql.  There appears to be no means to define
to the mod_auth_mysql software where to find the mysql.sock file
when specifying "localhost" as the "AuthMySQLHost".

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
I moved /var/lib/mysql to /mysql (changing datadir in /etc/my.cnf and
   the /etc/init.d/mysqld.conf ...speaking of which, why doesn't the
   rc.d script use the values in datadir?!?!?)
Started mysql.
Restart httpd.
Access web page (MySQL protected).
Enter login/password.
No more access.

Actual Results:  

/var/log/httpd/error_log:
[Thu Oct 10 14:24:59 2002] [error] (2)No such file or directory: MySQL
error: Can't connect to local MySQL server through socket
/var/lib/mysql/mysql.sock' (2)
Comment 1 Bill Nottingham 2006-08-07 14:31:15 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 12:01:17 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.